%define pkgname activeresource
Summary:	Think Active Record for web resources
Name:		ruby-%{pkgname}
Version:	3.2.19
Release:	5
License:	Ruby-alike
Source0:	http://rubygems.org/downloads/%{pkgname}-%{version}.gem
# Source0-md5:	3e28dbff0e0ad92ec026abe23bfbec17
Group:		Development/Languages
URL:		http://rubyforge.org/projects/activeresource/
BuildRequires:	rpm-rubyprov
BuildRequires:	rpmbuild(macros) >= 1.665
Provides:	ruby-ActiveResource
Obsoletes:	ruby-ActiveResource
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Wraps web resources in model classes that can be manipulated through
XML over REST.

%package rdoc
Summary:	Documentation files for ActiveResource
Group:		Documentation
Requires:	ruby >= 1:1.8.7-4

%description rdoc
Documentation files for ActiveResource.

%package ri
Summary:	ri documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie ri dla %{pkgname}
Group:		Documentation
Requires:	ruby

%description ri
ri documentation for %{pkgname}.

%description ri -l pl.UTF-8
Dokumentacji w formacie ri dla %{pkgname}.

%prep
%setup -q -n %{pkgname}-%{version}

%build
# write .gemspec
%__gem_helper spec

rdoc --ri --op ri lib
rdoc --op rdoc lib
rm ri/created.rid
rm ri/cache.ri

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{ruby_vendorlibdir},%{ruby_ridir},%{ruby_rdocdir}}

cp -a lib/* $RPM_BUILD_ROOT%{ruby_vendorlibdir}
cp -a ri/* $RPM_BUILD_ROOT%{ruby_ridir}
cp -a rdoc $RPM_BUILD_ROOT%{ruby_rdocdir}/%{pkgname}-%{version}

# install gemspec
install -d $RPM_BUILD_ROOT%{ruby_specdir}
cp -p %{pkgname}-%{version}.gemspec $RPM_BUILD_ROOT%{ruby_specdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG.md README.rdoc
%{ruby_vendorlibdir}/active_resource.rb
%{ruby_vendorlibdir}/active_resource
%{ruby_specdir}/%{pkgname}-%{version}.gemspec

%files rdoc
%defattr(644,root,root,755)
%{ruby_rdocdir}/%{pkgname}-%{version}

%files ri
%defattr(644,root,root,755)
%{ruby_ridir}/ActiveResource
%changelog
* Sat Jan 16 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ruby-activeresource.git;a=log;h=master

* Sat Jan 16 2016 Jan Rękorajski <baggins@pld-linux.org> f8788b5
- release 5 (by relup.sh)

* Fri Aug 28 2015 Elan Ruusamäe <glen@delfi.ee> 6ba6af8
- rebuild without versioned ruby abi dep
- release 4 (by relup.sh)

* Tue Aug 11 2015 Elan Ruusamäe <glen@delfi.ee> 1104551
- install to vendor dir; noarch package

* Sun Mar 01 2015 Elan Ruusamäe <glen@delfi.ee> f02ce4a
- x32 rebuild
- release 2 (by relup.sh)

* Sun Aug 31 2014 Jan Rękorajski <baggins@pld-linux.org> 9f43244
- up to 3.2.19

* Tue Jul 22 2014 Elan Ruusamäe <glen@delfi.ee> 8eeec8c
- ruby 2.0 rebuld
- release 2 (by relup.sh)

* Fri Feb 01 2013 Jan Rękorajski <baggins@pld-linux.org> 425b56d
- updated to 2.3.16

* Wed Jan 09 2013 Jan Rękorajski <baggins@pld-linux.org> c1e7b47
- updated to 2.3.15

* Mon Dec 12 2011 Jan Rękorajski <baggins@pld-linux.org> 94152d5
- 2.3.14

* Fri Jul 08 2011 Jan Rękorajski <baggins@pld-linux.org> e72988a
- 2.3.11

* Tue Mar 02 2010 Jan Rękorajski <baggins@pld-linux.org> 3ef0bd2
- added ri package

* Mon Mar 01 2010 Jan Rękorajski <baggins@pld-linux.org> c2b7165
- up to 2.3.5

* Sat Feb 27 2010 Jan Rękorajski <baggins@pld-linux.org> d683d9c
- P:ruby-ActiveResource

* Sat Feb 27 2010 Jan Rękorajski <baggins@pld-linux.org> 60dab62
- renamed ruby-ActiveResource -> ruby-activeresource

* Tue Jan 06 2009 Elan Ruusamäe <glen@pld-linux.org> b858a1e
- update to 2.0.5

* Sun Oct 12 2008 Elan Ruusamäe <glen@pld-linux.org> ec20e5c
- add README to doc

* Sun Oct 12 2008 Elan Ruusamäe <glen@pld-linux.org> 6f60d6c
- new

